Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.data
Class HttpProxy

    java.lang.Object
      com.gwtext.client.core.JsObject
          com.gwtext.client.data.DataProxy
              com.gwtext.client.data.HttpProxy

    public class HttpProxy

extends DataProxy

An implementation of `DataProxy` that reads a data object from the specified URL. Note that this class cannot be used to retrieve data from a domain other than the domain from which the running page was served. For cross-domain access to remote data, use an `ScriptTagProxy`. Be aware that to enable the browser to parse an XML document, the server must set the Content-Type header in the HTTP response to "text/xml".

Since:
  0.9
See Also:
  `ScriptTagProxy`

Field Summary

Fields inherited from class com.gwtext.client.core.JsObject
`jsObj`

Constructor Summary
`HttpProxy(Connection conn)` Construct a new HttpProxy using the specified Connection.
`HttpProxy(java.lang.String url)` Construct a new HttpProxy to the specified URL
`HttpProxy(java.lang.String url, Connection.Method method)` Construct a new HttpProxy using the specified URL and method.
`HttpProxy(java.lang.String url, java.lang.String method)` Deprecated. Use `HttpProxy(String, com.gwtext.client.core.Connection.Method)` instead

Method Summary
`Connection` | `getConnection()` Return the Connection object being used by this Proxy.

Methods inherited from class com.gwtext.client.core.JsObject
`getJsObj, getProperties, isCreated, setJsObj`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpProxy

    public HttpProxy(java.lang.String url)

  Construct a new HttpProxy to the specified URL

  Parameters:
    `url` - data url, defaults to POST

### HttpProxy

    public HttpProxy(java.lang.String url,
                     java.lang.String method)

  Deprecated. Use `HttpProxy(String, com.gwtext.client.core.Connection.Method)` instead

  Construct a new HttpProxy using the specified URL and method. A Singleton Connection object, `Ajax`, will be used to make the http request.

  Parameters:
    `url` - data url
    `method` - GET or POST
  See Also:
    `Ajax`

### HttpProxy

    public HttpProxy(java.lang.String url,
                     Connection.Method method)

  Construct a new HttpProxy using the specified URL and method. A Singleton Connection object, `Ajax`, will be used to make the http request.

  Parameters:
    `url` - data url
    `method` - GET or POST
  See Also:
    `Ajax`, `Connection.GET`, `Connection.POST`

### HttpProxy

    public HttpProxy(Connection conn)

  Construct a new HttpProxy using the specified Connection.

  Parameters:
    `conn` - connection to use to make the http call

Method Detail

### getConnection

    public Connection getConnection()

  Return the Connection object being used by this Proxy.

  Returns:
    the Connection object. This object may be used to subscribe to events on a finer-grained basis.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD